SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001622: message templates will not be generated for each known language - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001622Endian FirewallOther Scriptspublic2009-02-26 11:312009-10-27 12:01
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.3Fixed in Version2.3 
Summary0001622: message templates will not be generated for each known language
Descriptionif there are no message templates for a certain language, no templates will be generated for that language. In that case services will not run correctly for that language.

createtemplates should fallback to english if there is no packaged template for the specific language. In order to achive that, templates should be generated for all supported languages (LINGUAS - EXCLUDES).

language identification strings need to be standardized in order to make the correct templates for every language. The best format would be:

language[_territory]
(language in two letter codes in ISO-639-1, territory in two letter codes in ISO-3166-1)
example: en_US, or en

currently we have sometimes en_US, sometimes en, sometimes English.
That needs to be changed.

Default will be en
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-02-26 11:31 peter-endian New Issue
2009-02-26 11:31 peter-endian Assigned To => peter-endian
2009-02-26 12:23 peter-endian Description Updated
2009-02-27 13:34 peter-endian Status new => resolved
2009-02-27 13:34 peter-endian Fixed in Version => 2.3
2009-02-27 13:34 peter-endian Resolution open => fixed
2009-10-27 12:01 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker